AttachmentDataSource (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.attachment, class: AttachmentDataSource

Package org.apache.cxf.attachment

# Class AttachmentDataSource

java.lang.Object
org.apache.cxf.attachment.AttachmentDataSource

All Implemented Interfaces:
  `jakarta.activation.DataSource`

public class AttachmentDataSource extends Object implements jakarta.activation.DataSource

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AttachmentDataSource(String ctParam, InputStream inParam)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cache(Message message)`
  `String`
  `getContentType()`
  `InputStream`
  `getInputStream()`
  `String`
  `getName()`
  `OutputStream`
  `getOutputStream()`
  `void`
  `hold(Message message)`
  `boolean`
  `isCached()`
  `void`
  `release()`
  `void`
  `setName(String name)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AttachmentDataSource

    public AttachmentDataSource(String ctParam, InputStream inParam)

- ## Method Details

  - ### isCached

    public boolean isCached()

  - ### cache

    public void cache(Message message) throws IOException
    Throws:
      `IOException`

  - ### hold

    public void hold(Message message) throws IOException
    Throws:
      `IOException`

  - ### release

    public void release()

  - ### getContentType

    public String getContentType()
    Specified by:
      `getContentType` in interface `jakarta.activation.DataSource`

  - ### getInputStream

    public InputStream getInputStream()
    Specified by:
      `getInputStream` in interface `jakarta.activation.DataSource`

  - ### getName

    public String getName()
    Specified by:
      `getName` in interface `jakarta.activation.DataSource`

  - ### setName

    public void setName(String name)

  - ### getOutputStream

    public OutputStream getOutputStream() throws IOException
    Specified by:
      `getOutputStream` in interface `jakarta.activation.DataSource`
    Throws:
      `IOException`